### Method

# Clutter Script load_from_file

#### Declaration [src]

    guint
    clutter_script_load_from_file (
      ClutterScript* script,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads the definitions from `filename` into `script` and merges with the currently loaded ones, if any.

#### Parameters

`filename`

  Type: `const gchar*`

  The full path to the definition file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `guint`

On error, zero is returned and `error` is set accordingly. On success, the merge id for the UI definitions is returned. You can use the merge id with `clutter_script_unmerge_objects()`.